## ros-galactic-ament-cmake-cpplint 0.10.7

=== debian/changelog ===
ros-galactic-ament-cmake-cpplint (0.10.7-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Apr 2022 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.6-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 May 2021 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.5-1focal) focal; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Apr 2021 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.3-1focal) focal; urgency=high

  * 0.10.3
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 03 Mar 2021 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.2-1focal) focal; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Drop trailing tab from package manifests (#291 <https://github.com/ament/ament_lint/issues/291>)
    Follow-up to 8bf194aa1ac282db5483dd0d3fefff8f325b0db8
  * Contributors: Audrow Nash, Scott K Logan

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 12 Feb 2021 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.1-1focal) focal; urgency=high

  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.10.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 18 Sep 2020 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.9.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.9.3-1focal) focal; urgency=high

  * Updated cpplint and cppcheck to exclude directories and files (#234 <https://github.com/ament/ament_lint/issues/234>)
    * UPted cpplint and cppcheck to exclude directories and files
    * setting a global variable to configure automatic linting
    * Fixed cmake docbloc
    * Added feedback
    * Allowed cpplint to exclude files
    * Restored cpplint.py
  * Contributors: Alejandro Hernández Cordero

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.9.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.9.1-1focal) focal; urgency=high

  * 0.9.0
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 Apr 2020 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.8.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.8.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Sep 2019 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.7.4-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 31 Jul 2019 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.7.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 14:08:00 -0000

ros-galactic-ament-cmake-cpplint (0.7.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 09 May 2019 09:30:00 -0000

ros-galactic-ament-cmake-cpplint (0.7.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 07 May 2019 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.7.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 Apr 2019 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.6.3-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 14 Jan 2019 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.6.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.6.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 15 Nov 2018 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.6.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 14 Nov 2018 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.5.2-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 00:00:00 -0000

ros-galactic-ament-cmake-cpplint (0.5.1-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Jun 2018 13:47:00 -0000

ros-galactic-ament-cmake-cpplint (0.5.0-1focal) focal; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Jun 2018 10:09:00 -0000

ros-galactic-ament-cmake-cpplint (0.4.0-1focal) focal; urgency=high

  * Increase cpplint timeout (#90 <https://github.com/ament/ament_lint/issues/90>)
    * increase cpplint timeout to 120 seconds
    * expose timeout and use 120 as default rather than hard coding it
    * copy-n-paste
  * add filters argument to cpplint (#87 <https://github.com/ament/ament_lint/issues/87>)
    * add filters argument to cpplint
    * full ellipsis
    * string -> strings
  * 0.0.3
  * 0.0.2
  * update schema url
  * add schema to manifest files
  * Merge pull request #56 <https://github.com/ament/ament_lint/issues/56> from ament/cmake35
    require CMake 3.5
  * require CMake 3.5
  * Merge pull request #51 <https://github.com/ament/ament_lint/issues/51> from ament/lint_generated_code
    extend linter API to allow overriding the max line length
  * add CMake argument to override max line length for linters as well as the root for cpplint

